%global momorel 1

Summary: Authen-SASL module for perl 
Name: perl-Authen-SASL
Version: 2.12
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Authen/Authen-SASL-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Authen/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 5.8.5
BuildRequires: perl-Digest-HMAC
BuildRequires: perl-GSSAPI
BuildArch: noarch

%description
Authen-SASL module for perl

%prep
%setup -q -n Authen-SASL-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Authen-SASL-%{version}-filelist
if [ "$(cat Authen-SASL-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

rm -f %{buildroot}%{perl_vendorarch}/auto/Authen/SASL/.packlist

%files -f Authen-SASL-%{version}-filelist
%defattr(-,root,root)
%doc Changes api.txt

%changelog
* Tue Jul  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.12-1m)
- update to 2.12

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-1m)
- update to 2.11

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.10-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.10-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.10-2m)
- use vendor

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.10-1m)
- update to 2.10
- add BuildRequires: perl-GSSAPI

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.09-2m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.09-1m)
- version up to 2.09
- built against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.06-5m)
- rebuild against perl-5.8.5
- rebuild against perl-Digest-HMAC 1.01-12m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.06-4m)
- remove Epoch from BuildPrereq

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (2.06-3m)
- revised spec for rpm 4.2.

* Mon Feb  9 2004 Kenta MURATA <muraken2@nifty.com>
- (2.06-2m)
- BuildRequires: perl-Digest-HMAC

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.06-1m)

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.02-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.02-3m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (2.02-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.02-1m)
- spec file was semi-autogenerated
